LINUX.ORG.RU

Как установить Skype на Debian Wheezy 64бит

 


0

2

Помогите, пожалуйста.

sudo dpkg -i skype-ubuntu-precise_4.2.0.13-1_i386.deb
Selecting previously unselected package skype.
(Reading database ... 111338 files and directories currently installed.)
Unpacking skype (from skype-ubuntu-precise_4.2.0.13-1_i386.deb) ...
dpkg: dependency problems prevent configuration of skype:
 skype depends on libasound2 (>= 1.0.23).
 skype depends on libc6 (>= 2.3.6-6~).
 skype depends on libc6 (>= 2.7).
 skype depends on libgcc1 (>= 1:4.1.1).
 skype depends on libqt4-dbus (>= 4:4.5.3).
 skype depends on libqt4-network (>= 4:4.8.0).
 skype depends on libqt4-xml (>= 4:4.5.3).
 skype depends on libqtcore4 (>= 4:4.7.0~beta1).
 skype depends on libqtgui4 (>= 4:4.8.0).
 skype depends on libqtwebkit4 (>= 2.2~2011week36).
 skype depends on libstdc++6 (>= 4.6).
 skype depends on libx11-6.
 skype depends on libxext6.
 skype depends on libxss1.
 skype depends on libxv1.
 skype depends on libssl1.0.0.
 skype depends on libasound2-plugins.

dpkg: error processing skype (--install):
 dependency problems - leaving unconfigured
Processing triggers for hicolor-icon-theme ...
Processing triggers for desktop-file-utils ...
Errors were encountered while processing:
 skype

Мой sources.list

#XFCE 4.10 - Install from testing repo & Pin to testing repo
#deb http://ftp.debian.org/debian testing main contrib non-free

deb http://ftp.ua.debian.org/debian/ wheezy main contrib non-free
deb-src http://ftp.ua.debian.org/debian/ wheezy main contrib non-free

deb http://security.debian.org/ wheezy/updates main contrib non-free
deb-src http://security.debian.org/ wheezy/updates main contrib non-free

# wheezy-updates, previously known as 'volatile'
deb http://ftp.ua.debian.org/debian/ wheezy-updates main contrib non-free
deb-src http://ftp.ua.debian.org/debian/ wheezy-updates main contrib non-free


deb http://download.virtualbox.org/virtualbox/debian wheezy contrib non-free

Пробовал разные версии скайпа. Через gdebi пишет Error: Cannot install 'libasound2:i386'

sudo apt-get install libasound2:i386
http://pastebin.com/4h3U4phe

Ответ на: комментарий от anonymous

Пробовал... И там же написано The following instruction is not working anymore for skype verison 4.2.0.13-1_i386 on a debian 7 wheezy 64 bit system. The command «apt-get -f install» removes the skype packet.

Я разные версии качал, ничего не получается уже второй день. :(

Katsumoto ()
Ответ на: комментарий от zorg

Делал, удаляется криво установленный скайп. Как его установить-то? :(

Katsumoto ()
Ответ на: комментарий от yacuken

Ну конечно делал. К тому же там написано, что для полследней версии скайпа метод не работает. А все упорно дают линк на вики...

Я уже вторую ночь имею секс с скайпом, хоть систему сноси и ставь 32бит. :(

Katsumoto ()
Ответ на: комментарий от yacuken

Видемо я когда xfce до 4.10 обновлял поломал пакеты, теперь на зависимости ругается...

anonymous ()

4.2.0.11 поставится, только подключи архитектуру i386.

Bfgeshka ★★★★★ ()

Ничего не поделаешь, это Skype.

zorg ★★ ()
Ответ на: комментарий от yacuken

Проще было переставить заново, чем лечить зависимости, ибо не жалко, проще заново переустановить ос, пока не заточил под себя все. В итоге ос не простояла и пары суток. :) К тому же это был первый опыт дебиана на десктопе.

Переустановил, настроил, полет пока нормальный.

Katsumoto ()
Ответ на: комментарий от yacuken

Столкнулся с такой же проблемой.

Последовательность по вики:

premier@Premier-Nix:~$ sudo dpkg --add-architecture i386

premier@Premier-Nix:~$ sudo apt-get update
В кэше http://ftp.ru.debian.org wheezy Release.gpg
В кэше http://ftp.ru.debian.org wheezy Release                   
В кэше http://ftp.ru.debian.org wheezy/main Sources                                    
В кэше http://ftp.ru.debian.org wheezy/contrib Sources           
В кэше http://ftp.ru.debian.org wheezy/non-free Sources          
В кэше http://ftp.ru.debian.org wheezy/main amd64 Packages                                               
В кэше http://ftp.ru.debian.org wheezy/contrib amd64 Packages                                            
В кэше http://ftp.ru.debian.org wheezy/non-free amd64 Packages                     
В кэше http://ftp.ru.debian.org wheezy/main i386 Packages
В кэше http://ftp.ru.debian.org wheezy/contrib i386 Packages                       
В кэше http://ftp.ru.debian.org wheezy/non-free i386 Packages                      
В кэше http://ftp.ru.debian.org wheezy/contrib Translation-en                      
В кэше http://ftp.ru.debian.org wheezy/main Translation-ru                         
В кэше http://ftp.ru.debian.org wheezy/main Translation-en
В кэше http://ftp.ru.debian.org wheezy/non-free Translation-en                     
В кэше http://security.debian.org wheezy/updates Release.gpg                       
В кэше http://security.debian.org wheezy/updates Release
В кэше http://security.debian.org wheezy/updates/main Sources
В кэше http://security.debian.org wheezy/updates/contrib Sources
В кэше http://security.debian.org wheezy/updates/non-free Sources
В кэше http://security.debian.org wheezy/updates/main amd64 Packages
В кэше http://security.debian.org wheezy/updates/contrib amd64 Packages
В кэше http://security.debian.org wheezy/updates/non-free amd64 Packages
В кэше http://security.debian.org wheezy/updates/main i386 Packages
В кэше http://security.debian.org wheezy/updates/contrib i386 Packages
В кэше http://security.debian.org wheezy/updates/non-free i386 Packages
В кэше http://security.debian.org wheezy/updates/contrib Translation-en
В кэше http://security.debian.org wheezy/updates/main Translation-en
В кэше http://security.debian.org wheezy/updates/non-free Translation-en
Чтение списков пакетов… Готово
             
premier@Premier-Nix:~$ wget -O skype-install.deb http://www.skype.com/go/getskype-linux-deb
...

premier@Premier-Nix:~$ sudo dpkg -i skype-install.deb
Выбор ранее не выбранного пакета skype.
(Чтение базы данных … на данный момент установлено 157193 файла и каталога.)
Распаковывается пакет skype (из файла skype-install.deb) …
dpkg: зависимости пакетов не позволяют настроить пакет skype:
 skype зависит от libc6 (>= 2.3.6-6~).
 skype зависит от libc6 (>= 2.7).
 skype зависит от libgcc1 (>= 1:4.1.1).
 skype зависит от libqt4-dbus (>= 4:4.5.3).
 skype зависит от libqt4-network (>= 4:4.8.0).
 skype зависит от libqt4-xml (>= 4:4.5.3).
 skype зависит от libqtcore4 (>= 4:4.7.0~beta1).
 skype зависит от libqtgui4 (>= 4:4.8.0).
 skype зависит от libqtwebkit4 (>= 2.1.0~2011week13).
 skype зависит от libstdc++6 (>= 4.2.1).
 skype зависит от libx11-6.
 skype зависит от libxext6.
 skype зависит от libxss1.
 skype зависит от libxv1.
 skype зависит от libssl1.0.0.
 skype зависит от libpulse0.
 skype зависит от libasound2-plugins.

dpkg: ошибка при обработке параметра skype (--install):
 проблемы зависимостей — оставляем не настроенным
Обрабатываются триггеры для desktop-file-utils …
Обрабатываются триггеры для gnome-menus …
Обрабатываются триггеры для hicolor-icon-theme …
При обработке следующих пакетов произошли ошибки:
 skype

premier@Premier-Nix:~$ sudo apt-get -f install
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
Пакеты, которые будут УДАЛЕНЫ:
  skype:i386
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 1 пакетов, и 0 пакетов не обновлено.
не установлено до конца или удалено 1 пакетов.
После данной операции, объём занятого дискового пространства уменьшится на 44,3 MB.
Хотите продолжить [Д/н]? 
preemiere ()
Ответ на: комментарий от preemiere

Всё, сам разобрался.

Проблема была в libc6:amd64 установленной из sid репозитория. При попытке установить libc6:i386 из stable apt предлагал снести почти всю систему.

После установки libc6:i386 из sid репозитория Skype установился и apt-get -f install подтянул все пакеты уже из stable. Правда удалил nfs-common.

preemiere ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.